function Parkour:StartActivity()
	print("START! -- Parkour:StartActivity()!");
	
	self.TriggerZone1 = SceneMan.Scene:GetArea("TriggerZone1");
	
	self.FightPhase = { NOFIGHT = 0 };
	self.CurrentFightPhase = self.FightPhase.NOFIGHT;
	
	self.braindead = {};
	self.AssignedBrains = {};
	self.MOIDLimit = 200;
    
	self.PlayerGold = 0;

   	self.CPUTeam = Activity.TEAM_2;
	self.PlayerTeam = Activity.TEAM_1;
	self.RogueTeam = -1;
	
	for player = 0, self.PlayerCount - 1 do
        if not self:GetPlayerBrain(player) then
			self.braindead[player] = false;
			local brain = CreateAHuman("Parkour Runner" , "ParkourRunner.rte");
			brain.Pos = Vector(990 + player * 156 , 2292);
			brain.AIMode = Actor.AIMODE_SENTRY;
			self.AssignedBrains[player] = brain;

            MovableMan:AddActor(brain);
            self:SetPlayerBrain(brain, player);
            SceneMan:SetScroll(self:GetPlayerBrain(player).Pos, player);
            self:SetObservationTarget(self:GetPlayerBrain(player).Pos, player);
        end
    end
	
    self:SetTeamFunds(self.PlayerGold , self.PlayerTeam);

function Parkour:PauseActivity(pause)
    print("PAUSE! -- Parkour:PauseActivity()!");
end
function Parkour:EndActivity()
    print("END! -- Parkour:EndActivity()!");
end
function Parkour:UpdateActivity()
   	self:ClearObjectivePoints();

	if self.CurrentFightPhase == self.FightPhase.NOFIGHT then
		self:PhaseNoFight();
	
	self:DoBrainSelection();
	
	self:YSortObjectivePoints();
end

function Parkour:DoBrainSelection()
	if not (self.ActivityState == Activity.OVER) then
		for player = 0, self.PlayerCount - 1 do
			local team = self:GetTeamOfPlayer(player);
	
			local brain = self:GetPlayerBrain(player);
			if not brain or not MovableMan:IsActor(brain) or not brain:HasObjectInGroup("Brains") then
				self:SetPlayerBrain(nil, player);
				local newBrain = MovableMan:GetUnassignedBrain(team);
				if newBrain and self.braindead[player] == false then
					self:SetPlayerBrain(newBrain, player);
					self:SwitchToActor(newBrain, player, team);
				else
					FrameMan:SetScreenText("Commander died!", player, 100, -1, false);
					self.braindead[player] = true;
					
					if not MovableMan:GetClosestBrainActor(team) then
						self.WinnerTeam = self:OtherTeam(team);
						ActivityMan:EndActivity();
					end
				end
			else
				self:SetObservationTarget(brain.Pos, player)
			end -- 
		end --for
	end --if
end
end

function Parkour:PhaseNoFight()
	self:AddObjectivePoint("PUT BRAIN HERE", Vector(936 , 684) , self.PlayerTeam, GameActivity.ARROWDOWN);
	
	for player = 0, self.PlayerCount - 1 do
		if self.TriggerZone1:IsInside(self.AssignedBrains[player].Pos) then
			self:AdvanceToOne();
		end
	end
end

	if not (self.ActivityState == Activity.OVER) then
			self.WinnerTeam = self.PlayerTeam;
			ActivityMan:EndActivity();
			for player = 0, self.PlayerCount - 1 do
				self.braindead[player] = true;
		end -- for
	end -- if
end -- else